let supported;



/**
 * Detect if options are supported by add-/removeEventListener methods
 * @function eventOptionsSupported
 * @return {Boolean} Are event binding options supported or not
 */
export default function eventOptionsSupported() {
  if (typeof supported !== 'undefined') {
    return supported;
  }

  try {
    supported = false;
    const noop = () => {};
    const opts = Object.defineProperty({}, 'passive', {
      get() {
        supported = true;
        return supported;
      }
    });

    window.addEventListener('test', noop, opts);
    window.removeEventListener('test', noop, opts);
  } catch (err) {
    supported = false;
  }

  return supported;
}
