import isString from 'vanillajs-helpers/isString';



/**
 * Convert HTML into DOM node(s)
 * @function toDOM
 * @param {String} html - HTML string to transform into nodes
 * @return {HTMLElement[]} DOM elements that the HTML represented
 */
export default function toDOM(html) {
  if (!isString(html) || /<(html|body|head)/.test(html)) {
    return html;
  }

  const tag = /^<(frame(set)?|table)/.test(html) ? 'div' : 'table';
  const div = document.createElement(tag);
  div.innerHTML = html;

  return div.children;
}
