import isDOMDocument from './isDOMDocument';

/**
 * Get the current viewport element (scrolling element) of the current document
 * @function viewport
 * @param {Document|Window|HTMLElement} [doc=document] - Element to find the viewport element from
 * @return {HTMLElement} The viewport element
 */
export default function viewport(doc) {
  if (!isDOMDocument(doc)) {
    doc = doc ? doc.ownerDocument || doc.document : document;
    if (!doc) { return; }
  }

  return doc.scrollingElement || (doc.compatMode === 'BackCompat' ? doc.body : doc.documentElement);
}
